%global pypi_name click

Name:           python-%{pypi_name}
Version:        8.1.7
Release:        1%{?dist}
Summary:        Simple wrapper around optparse for powerful command line utilities
License:        BSD
URL:            https://github.com/mitsuhiko/click
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%global _description \
click is a Python package for creating beautiful command line\
interfaces in a composable way with as little amount of code as necessary.\
It's the "Command Line Interface Creation Kit".  It's highly configurable but\
comes with good defaults out of the box.

%description %{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros

%description -n python%{python3_pkgversion}-%{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Use test dependencies without version locks
sed -i 's|requirements/tests.txt|requirements/tests.in|' tox.ini
%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%tox


%files -n python%{python3_pkgversion}-%{pypi_name} -f %pyproject_files
%license LICENSE.rst
%doc README.rst CHANGES.rst


%changelog
